Bug 215041 - RHEL5: update Guest firmware for Xen-IPF to RHEL5
RHEL5: update Guest firmware for Xen-IPF to RHEL5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
ia64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Prarit Bhargava
: FutureFeature
Depends On: 201073
  Show dependency treegraph
Reported: 2006-11-10 13:15 EST by Chris Lalancette
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-20 14:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
1.0.0-5 guest firmware provided by Intel (978.55 KB, application/x-rpm)
2006-11-10 13:15 EST, Chris Lalancette
no flags Details

  None (edit)
Description Chris Lalancette 2006-11-10 13:15:23 EST
+++ This bug was initially created as a clone of Bug #201073 +++

Escalated to Bugzilla from IssueTracker

-- Additional comment from tao@redhat.com on 2006-08-02 13:03 EST --
1. Feature request: IPF-Xen Guest firmware to support VTI (fully virtualized) guests
2. Description more details.

Architectures: IPF
Dependencies: Xen
External links:
Priority (Must Have, High, Medium, Low): Must have
Target Releases: RHEL5 Beta1
3. Business Justification:   Montecito POR
4. Status of the code:  Yes (Intel will provide to RedHat )
5. Hardware to Red Hat:  Yes (Intel has provided Montecito platforms to Redhat)
6. Partner management contact: keve.a.gabbert@intel.com
7. Partner technical contact: fred.yang@intel.com
This event sent from IssueTracker by bjohnson  [Intel]
 issue 98748

-- Additional comment from fenghua.yu@intel.com on 2006-10-17 17:00 EST --
Created an attachment (id=138728)
08/24/2006 guest firmware source rpm

The guest firmware in xen-ia64-guest-firmware-1.0.0-4.ia64.rpm on
RHEL-4.91-Server-Supplementary-ia64-ftp.iso is old. Its GFW shows:

07/31/06 - QEMU 0.8.1 changes resulting IRQ conflict to NIC.  This GFW
	   rearrange IRQ

The latest GFW is 08/24/2006 whose GFW.info should show:
08/24/06 - Fixed VTi network due to GFW conflict with latest QEMU
	   adding a fake PCI device (xen_platform) for VBD/VNIF
	   which is using IRQ 10 same as VNIF.

The latest and correct guest firmware xen-ia64-guest-firmware-1.0.0-5.src.rpm
is uploaded here.

Please make sure to pick up this guest firmware ASAP.



-- Additional comment from prarit@redhat.com on 2006-10-17 19:42 EST --

You should open up a new BZ for the 1.0.0-5 guest firmware update.


As per Prarit's request, opening a new BZ for the 1.0.0-5 firmware update. 
Apparently this is needed to boot fully virt guests on ia64 due to interface
Comment 1 Chris Lalancette 2006-11-10 13:15:24 EST
Created attachment 140923 [details]
1.0.0-5 guest firmware provided by Intel
Comment 6 Prarit Bhargava 2006-11-20 07:26:15 EST

Do not "piggy-back" requests on the same IT/Bugzilla.  If you have a new version
of xen ia64 guest FW, then you should close the existing bugzilla (if it is not
in the post or modified state) and open a new one.

Comment 10 Fenghua Yu 2006-11-20 13:57:19 EST
A newer issue tracker 107419  is created. Its ancestor issue tracker 104465 is 
Comment 11 Prarit Bhargava 2006-11-20 14:02:31 EST
Closing this out as not a bug.

Note You need to log in before you can comment on or make changes to this bug.